﻿<div ng-controller="manageMunicipalityController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li><a href="#/Municipality">{{transaction.Municipality}}</a></li>
        </ol>
        <a ng-click="backButton()" class="glyphicon glyphicon-chevron-left back-arrow"></a>

    </div>

    <div class="container-fluid" ng-hide="showLoader">
        <form novalidate name="myForm">
            <panel panel-class="panel-midnightblue">
                <div id="page-headings">
                    <h2>{{title}}</h2>
                </div>

                <div class="row" style="background-color:#f7f7f7 !important;border:1px solid #ccc;box-shadow:none;">

                    <div class="col-xs-12" style="padding-top: 11px">

                        <div class="form-group" ng-class="{ 'has-error': myForm.arabicName.$touched && myForm.arabicName.$invalid,
                                   'has-success': myForm.arabicName.$touched && myForm.arabicName.$valid}">
                            <label class="control-label">{{transaction.Name}} {{transaction.Municipality}}</label>
                            <input type="text" class="form-control" name="arabicName" required ng-maxlength="50"
                                   ng-model="model.arabicName">
                            <div class="help-block" ng-messages="myForm.arabicName.$error" ng-show="myForm.arabicName.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <!--<div class="form-group" ng-class="{ 'has-error': myForm.englishName.$touched && myForm.englishName.$invalid,
                                   'has-success': myForm.englishName.$touched && myForm.englishName.$valid}">
                            <label class="control-label">{{transaction.NameEn}} </label>
                            <input type="text" class="form-control" name="englishName" required ng-maxlength="100"
                                   ng-model="model.englishName">
                            <div class="help-block" ng-messages="myForm.englishName.$error" ng-show="myForm.englishName.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>-->


                        <!--<div class="form-group" ng-class="{ 'has-error': myForm.longitude.$touched && myForm.longitude.$invalid,
                                   'has-success': myForm.longitude.$touched && myForm.longitude.$valid}">
                            <label class="control-label">{{transaction.Longitude}}</label>
                            <input type="tel" class="form-control" name="longitude" required ng-maxlength="15"
                                   ng-model="model.longitude">
                            <div class="help-block" ng-messages="myForm.longitude.$error" ng-show="myForm.longitude.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.latitude.$touched && myForm.latitude.$invalid,
                                   'has-success': myForm.latitude.$touched && myForm.latitude.$valid}">
                            <label class="control-label">{{transaction.Latitude}} </label>
                            <input type="tel" class="form-control" name="latitude" required ng-maxlength="15"
                                   ng-model="model.latitude">
                            <div class="help-block" ng-messages="myForm.latitude.$error" ng-show="myForm.latitude.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>-->
                    
                        <div class="form-group">
                            <label class="control-label">{{transaction.Name}} {{transaction.Country}}</label>
                            <select class="form-control" ng-model="model.countryId" required>
                                <option ng-repeat="i in allCountries"  value="{{i.id}}">{{i.arabicName}}</option>
                            </select>
                        </div>


                        <div class="form-group" ng-class="{ 'has-error': myForm.cityId.$touched && myForm.cityId.$invalid,
                                   'has-success': myForm.cityId.$touched && myForm.cityId.$valid}">
                            <label class="control-label">{{transaction.City}}</label><br/>
                            <select ng-model="model.cityId" class="form-control" name="cityId" required>
                                <option ng-repeat="i in allCities" value="{{i.id}}" ng-show="i.countryId==model.countryId" ng-selected="{{model.cityId==i.id}}">{{i.arabicName}}</option>
                            </select>
                            <div class="help-block" ng-messages="myForm.cityId.$error" ng-show="myForm.cityId.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>
                    
                    
                    </div>
                </div>
                <div style="margin-top:10px" class="pull-right">
                    <button class="btn btn-primary" ng-disabled="myForm.$invalid" ng-click="save(myForm)"> {{transaction.Save}}</button>

                </div>
            </panel>
        </form>
    </div>

</div>
